ur_rna.StructureEditor.windows

## Class SettingsWindow

- java.lang.Object
- - ur_rna.StructureEditor.windows.SettingsWindow

-     public class SettingsWindow
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.JButton` | `CancelButton`
    `private javax.swing.JCheckBox` | `checkBox1`
    `private javax.swing.JComboBox` | `comboBox1`
    `private javax.swing.JButton` | `OKButton`
    `private javax.swing.JPanel` | `pnlColorPicker`
    `private javax.swing.JPanel` | `pnlSelect`
    `private javax.swing.JPanel` | `pnlSpinner`
    `private javax.swing.JPanel` | `pnlText`
    `private javax.swing.JSpinner` | `spinner1`
    `private javax.swing.JTabbedPane` | `tabbedPane1`
    `private javax.swing.JTextField` | `textField1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettingsWindow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `$$$setupUI$$$()` Method generated by IntelliJ IDEA GUI Designer DO NOT edit this method OR call it in your code!

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CancelButton

          private javax.swing.JButton CancelButton

    - #### checkBox1

          private javax.swing.JCheckBox checkBox1

    - #### comboBox1

          private javax.swing.JComboBox comboBox1

    - #### OKButton

          private javax.swing.JButton OKButton

    - #### pnlColorPicker

          private javax.swing.JPanel pnlColorPicker

    - #### pnlSelect

          private javax.swing.JPanel pnlSelect

    - #### pnlSpinner

          private javax.swing.JPanel pnlSpinner

    - #### pnlText

          private javax.swing.JPanel pnlText

    - #### spinner1

          private javax.swing.JSpinner spinner1

    - #### tabbedPane1

          private javax.swing.JTabbedPane tabbedPane1

    - #### textField1

          private javax.swing.JTextField textField1

  - ### Constructor Detail

    - #### SettingsWindow

          public SettingsWindow()

  - ### Method Detail

    - #### $$$setupUI$$$

          private void $$$setupUI$$$()

      Method generated by IntelliJ IDEA GUI Designer DO NOT edit this method OR call it in your code!
      No IDE Inspections
        ALL